

layout(location = 0) in vec4 in_pos_os;
layout(location = 2) in vec2 in_texcoord0;

in vec2 resolution; //xy = width_px, height_px, yz= 1/xy

out vec2 texcoord0;

// {xy} = center of pixel
noperspective out vec2 pos;

// {xy__} = upper left of pixel
// {__zw} = lower right of pixel
//out vec4 fxaaConsolePosPos;


void main()
{
	gl_Position = in_pos_os;
	pos = in_texcoord0;
	
}
